/* mobiles and ipods */
@media (min-width: 320px) and (max-width: 1080px)  {
    .postsBlock > div:nth-child(n){
        margin-bottom: 1.4vh;
    }

    .postBlock{
        width: 100vw;
        /* padding-bottom: 6vh; */
    background-color: rgba(255,255,255,.05);
    border-left: 1px solid rgb(199, 199, 199);
    border-right: 1px solid rgb(199, 199, 199);
    }
    .authorLogo{
        height: 60px;
        width: 60px;
    }
    .author{
        height: 90px;
    }
    .authorOther{
        height: 60px;
        width: 60px;
        right: 15px;
        font-size: 45px;
        line-height: 15px;
    }
    .authorName{
        font-size: 30px;
    }
    .reaction{
        height: 60px;
        width: 100vw;
    }

    .like{
        height: 33px;
        width: 36px;
        margin-left: 30px;
        margin-right: 24px;
    }
    .like:focus{
        transform: scale(1.5);
    }
    .likeActive{
        height: 33px;
        width: 36px;
    }
    .comment{
        height: 36px;
        width: 36px;
        margin-right: 25px;
        transform:scale(-1, 1);
    }
    .sendPost{
        height: 36px;
        width: 36px;
        margin-right: 750px;
    }
    .savePost{
        height: 36px;
        width: 36px;
    }
    .views{
        height: 30px;
        width: 100%;
    }
        .views>p{
            font-size: 24px;
            margin-left: 30px;
        }
    .postText{
        padding-bottom: 8px;
    }
    .firstPart > div:nth-child(1){
        margin-left: 30px;
        font-weight: 600;
    }
    .firstPart > div:nth-child(2){
        margin-left: 8px;
    }
    .firstPart > div:nth-child(3){
        margin-left: 8px;
    }
    .firstPart>div:nth-child(n){
        font-size: 24px;
    }
    .postPicture{
        height: 1000px;
    }

    .likes{
        height: 30px;
        width: 100%;
    }
        .likes>div:nth-child(1){
            margin-left: 30px;
            font-size: 24px;
        }

    .allComments{
        font-size: 24px;
        margin-left: 10px;
    }
    .lastComments > div:nth-child(n){
        margin-left: 30px;
        font-size: 24px;
    }



    .sendComment{
        height: 60px;
        width: 100vw;
        display: none;
    }
    .sendComment > div:nth-child(1){
        width: 90vw;
    }
    .inputStyle{
        height: 25px;
        width: 80vw;
    }
    .smile{
        height: 25px;
        width: 25px;
        margin-left: 15px;
    }
    .send{
        height: 20px;
        width: 10vw;
    }
    .sendDeactive{
        font-size: 15px;
    }
}





/* For PC */
@media (min-width: 1081px) {
    .postsBlock > div:nth-child(n){
        margin-bottom: 50px;
    }

    .postBlock{
        width: 614px;
        padding-bottom: 60px;
        border: 1px solid rgb(199, 199, 199);
        background-color: rgba(255,255,255,.05);
    }
    .authorLogo{
        height: 40px;
        width: 40px;
    }
    .author{
        height: 60px;
    }
    .authorOther{
        height: 40px;
        width: 40px;
        right: 10px;
        font-size: 30px;
        line-height: 10px;
    }
    .authorName{
        font-size: 20px;
    }
    .reaction{
        height: 40px;
        width: 100%;
    }


    .like{
        height: 22px;
        width: 24px;
        margin-left: 20px;
        margin-right: 17px;
    }
    .like:focus{
        transform: scale(1.5);
    }
    .likeActive{
        height: 22px;
        width: 24px;
    }
    .comment{
        height: 24px;
        width: 24px;
        margin-right: 17px;
        transform:scale(-1, 1);
    }
    .sendPost{
        height: 24px;
        width: 24px;
        margin-right: 450px;
    }
    .savePost{
        height: 24px;
        width: 24px;
    }
    .views{
        height: 20px;
        width: 100%;
    }
        .views>p{
            font-size: 16x;
            margin-left: 20px;
        }
    .postText{
        padding-bottom: 8px;
    }

    .firstPart > div:nth-child(1){
        margin-left: 20px;
        font-weight: 600;
    }
    .firstPart > div:nth-child(2){
        margin-left: 5px;
    }
    .firstPart > div:nth-child(3){
        margin-left: 5px;
    }

    .postPicture{
        height: 660px;
    }
    .likes{
        height: 30px;
        width: 100%;
    }
        .likes>div:nth-child(1){
            font-size: 16px;
            margin-left: 20px;
        }

    .lastComments > div:nth-child(n){
        margin-left: 20px;
    }



    .sendComment{
        height: 60px;
        width: 614px;
        display: flex;
    }
    .sendComment > div:nth-child(1){
        width: 502px;
    }
    .inputStyle{
        height: 25px;
        width: 424px;
    }
    .smile{
        height: 25px;
        width: 25px;
        margin-left: 15px;
    }
    .send{
        height: 20px;
        width: 120px;
    }
    .sendDeactive{
        font-size: 15px;
    }
}




.postsBlock{
    position: absolute;
    display: flex;
    flex-flow: column;
}
.postsBlock > div:nth-child(n){
    /* background-color: lawngreen; */
}
.postBlock{
    background-color: rgba(255,255,255,.05);
}

    .author{
        width: 100%;
        background-color: white;
        border-bottom: 1px solid rgb(223, 222, 222);

        display: flex;
        align-items: center;
        flex-flow: row;
    }
        .authorLogo{
            border-radius: 50%;
            background-color: lawngreen;
            margin-left: 20px;
            margin-right: 14px;
            cursor: pointer;
        }
        .authorName{
            font-weight: bold;
            cursor: pointer;
        }
        .authorOther{
            position: absolute;
            vertical-align: center;
            cursor: pointer;
        }
            .authorOther::before{
                content: "...";
                position: absolute;
                left: 8px;
                top: 8px;
            }

    .postPicture{
    }

    .reaction{
        background-color: white;
        display: flex;
        align-items: center;
    }
        .reaction > div:nth-child(n){
            cursor: pointer;
        }
        
        .like{
            background-image: url(./images/Like.png);
            background-size: 100% 100%;
        }
        .like:focus{
            transform: scale(1.5);
        }
        .likeActive{
            background-image: url(./images/LikeActive.png);
            background-size: 100% 100%;
        }
        .comment{
            background-image: url(./images/Comment.png);
            transform:scale(-1, 1);
            background-size: 100% 100%;
        }
        .sendPost{
            background-image: url(./images/Send.png);
            background-size: 100% 100%;
        }
        .savePost{
            background-image: url(./images/SavePost.png);
            background-size: 100% 100%;
        }
        

    .views{
        display: flex;
        align-items: center;
        background-color: white;
    }


    .postText{
        width: 100%;
        word-wrap: break-word;
        background-color: white;
    }
        .firstPart{
            display: flex;
            flex-flow: row;
        }
        .firstPart > div:nth-child(3){
            cursor: pointer;
        }

        .secondPart{
            display: flex;
            flex-flow: row;
            word-break: break-all;
        }
            .secondPart > div:nth-child(1){
                margin-top: 5px;
                margin-left: 20px;
            }
            .threePoints{
                width: 15px;
                cursor: pointer;
            }

    .lastComments{
        background-color: white;
        border-bottom: 1px solid rgb(211, 211, 211);
    }
        .lastComments > div:nth-last-child(1){
            padding-bottom: 10px;
        }
    .allComments{
        color: #8d8d8d;
        cursor: pointer;
    }

    .likes{
        display: flex;
        align-items: center;
        background-color: white;
    }
        .likes > div:nth-child(n){
            color: black;
            font-weight: bold;
        }





.name{
    color: black;
    font-weight: bold;
}

.postDate{
    margin-top: 15px;
}



.sendComment{
    position: absolute;
    background-color: white;

    align-items: center;
    justify-content: space-between;
}
    .sendComment > div:nth-child(1){
        display: flex;
        justify-content: center;
        align-items: center;
    }
        .inputStyle{
            outline: none;
            border: none;
            margin-left: 15px;
        }
        .smile{
            background-image: url(./images/Smile.png);
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }
    
    .send{

        display: flex;
        justify-content: left;
        align-items: center;

        
    }
    .sendDeactive{
        color: rgba(50, 143, 243, .6);
        font-weight: bold;
        user-select: none;
    }
    .sendActive{
        color: rgba(50, 143, 243, 1);
        cursor: pointer;
    }

    

    